Subject: [os2genau_digest] No. 462
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 5 Oct 2002 00:02:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 04 October 2002
 Number  462
**************************************************

Subjects for today
 
1  [os2genau] DDNS & DHCP with Win2K not working - the config files : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  [os2genau] _digest] INTERNAL MODEM : nickl at arach dot net dot au
3  [os2genau] Joke: Dr Seuss explains PC crashes : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
4  [os2genau] OT: usb win keys ?  usb scroll mouse ? : Voytek Eymont <voytek at sbt dot net dot au>
5  Re: [os2genau] _digest] INTERNAL MODEM : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re: [os2genau] OT: usb win keys ?  usb scroll mouse ? : Ed Durrant <edurrant at bigpond dot net dot au>
7  [os2genau] Jalbum ?? : Tom Rowsell <tom at tomrowsell dot com>

**= Email   1 ==========================**

Date:  Fri, 04 Oct 2002 15:37:28 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] DDNS & DHCP with Win2K not working - the config files

Hi All,
	As it appears to be a server config problem, I've attached the
main config files that you should need to be able to set things up just
like I've got it here.
If anyone can help spot anything wildly wrong, then I'd be most
appreciatative.

-Chris

This is my DHCPSD.CFG file:
I've set it up for a really short lease time to (hopefully) allow for
faster checking for problems.
 
logFileName C:\MPTN\ETC\dhcpsd.log
logFileSize 100
numLogFiles 10
logItem SYSERR
logItem ACNTING
logItem OBJERR
logItem EVENT
logItem PROTERR
logItem WARNING
logItem INFO
logItem ACTION
leaseExpireInterval 1 Minutes
leaseTimeDefault 1 Hours
pingTime 1 Seconds
reservedTime 2 Minutes
usedIPAddressExpireInterval 120 Seconds
statisticSnapshot 1
updateDNSP "nsupdate -f -r%s -s"d;ptr;*;a;ptr;%s;s;%s;0;q""
releaseDNSP "nsupdate -f -r%s -s"d;ptr;%s;s;%s;0;q""
updateDNSA "nsupdate -f -h%s -d%s -s"d;a;*;a;a;%s;s;%s;0;q""
releaseDNSA "nsupdate -f -h%s  -s"d;a;%s;s;%s;0;q""
(ARecKeyInfo warpspeed dot com dot au  203.27.78.133
supportBOOTP yes
supportUnlistedClients both
allRoutesBroadcast no
UserMatchesVendorClass no
servertype pxedhcp
imageserver 203.27.78.133 
 
appendDomainName yes
canonical no
proxyARec standard

option 15 warpspeed dot com dot au 
option 6 203.27.78.133 203.27.78.4 #       dns server
class manager 
{
  option 48 6.5.4.3 
  option 9 9.37.35.146 
  #       site specific option giving to all managers
  option 210 "manager_authority" 
}
#       Setup to send options to the pxeclient.  Sent in the encapsulated
option
#  43.
vendor PXEClient 
{
  option 1 1.1.4.5 
  option 2 2 
  option 3 3 
  option 4 4 
  option 5 5 
}
#       This subnet specifies it subnetmask as number of bits instead of
dotted
#      decimal notation.  24 bits corresponds to 255.255.255.0
subnet 203.27.78.0 255.255.255.0 203.27.78.160-203.27.78.180
(alias=warpspeed DDNSServer=aurora.warpspeed dot com dot au 
{
  appendDomainName yes
  proxyARec standard
  option 28 203.27.78.255 #       broadcast address
  option 9 203.27.78.133 
  option 51 300 
  #       class manager defined at the subnet scope.  Option 9 here will
override
#       the option 9 specified in the global manager class.
  class manager 
  {
    option 9 203.27.78.133 
  }
  class developers #       Programmers have their own subnet range.
  {
    option 51 -1 #       infinite lease.
    option 9 203.27.78.133 #       printer used by the developers
  }
}
#       Example of a client that will accept any address but will have its
own
# set
#    of
#       options.
client 6 0x10005aa4b9ab ANY 
{
  option 51 999 
  option 1 255.255.255.0 
}
#       Exclude an address from service.
 
#       end of dhcpsd.cfg
# 
 
option 72 203.27.78.4 
option 70 203.27.78.4 
option 2 36000 
option 1 255.255.255.0 
option 69 203.27.78.4 
option 28 203.27.78.255 
option 9 203.27.78.133 
option 3 203.27.78.133 
option 31 0 

This is my DNSF0000.DOM file:

$ORIGIN warpspeed dot com dot au.
 at      IN     SOA aurora.warpspeed dot com dot au. chrisg.warpspeed dot com dot au. (
                     2002032401
                     10800
                     3600
                     604800
                     86400 )
 at      IN    NS  aurora.warpspeed dot com dot au.
 at      IN    NS  inet.warpspeed dot com dot au.
warpspeed dot com dot au. IN MX   10     inet.warpspeed dot com dot au.
warpspeed dot com dot au. IN MX   20     main.warpspeed dot com dot au.
warpspeed dot com dot au.   IN NS   ns.virtual dot net dot au.
warpspeed dot com dot au.   IN NS   wendy.virtual dot net dot au.
ns.virtual dot net dot au. IN A   203.29.16.1
wendy.virtual dot net dot au. IN A   203.29.16.4
develsmp IN    A   203.27.78.134
ns-updates IN    CNAME aurora.warpspeed dot com dot au.
updates IN    CNAME inet.warpspeed dot com dot au.
gopher IN    CNAME inet.warpspeed dot com dot au.
mail IN    CNAME inet.warpspeed dot com dot au.
bbs IN    CNAME inet.warpspeed dot com dot au.
ftp IN    CNAME inet.warpspeed dot com dot au.
www IN    CNAME inet.warpspeed dot com dot au.
ppc-604 IN    A   203.27.78.131
ppc-601 IN    A   203.27.78.130
main IN    A   203.27.78.129
aurora IN    A   203.27.78.133
mobile IN    A   203.27.78.140
kate IN    A   203.27.78.136
inet IN    A   203.27.78.4
gp   IN    A   203.27.78.5
pinkbooks IN    A   203.27.78.6
gpcv IN    A   203.27.78.7
ses  IN    A   203.27.78.8
katemob     IN    A   203.27.78.150

And this is my DNSF0000.REV file:

$ORIGIN 78.27.203.in-addr.arpa.
 at      IN     SOA aurora.warpspeed dot com dot au. chrisg.warpspeed dot com dot au.  (
                           2002032401
                           10800
                           3600
                           604800
                           86400 )
 at      IN    NS  aurora.warpspeed dot com dot au.
 at      IN    NS  inet.warpspeed dot com dot au.
aurora.warpspeed dot com dot au. IN A   203.27.78.133
inet.warpspeed dot com dot au. IN A   203.27.78.4
150 IN    PTR   katemob.warpspeed dot com dot au.
140 IN    PTR   mobile.warpspeed dot com dot au.
4   IN    PTR   inet.warpspeed dot com dot au.
5   IN    PTR   gp.warpspeed dot com dot au.
6   IN    PTR   pinkbooks.warpspeed dot com dot au.
7   IN    PTR   gpcv.warpspeed dot com dot au.
8   IN    PTR   ses.warpspeed dot com dot au.
136 IN    PTR   kate.warpspeed dot com dot au.
134 IN    PTR   develsmp.warpspeed dot com dot au.
133 IN    PTR   aurora.warpspeed dot com dot au.
131 IN    PTR   ppc-604.warpspeed dot com dot au.
130 IN    PTR   ppc-601.warpspeed dot com dot au.
129 IN    PTR   main.warpspeed dot com dot au.
;

This is my NAMED.BT file:

; *************************** IBM DDNS Server Administrator 
**************************** 
; This file was written by the IBM DDNS Server Administrator on 24/03/2002
; *************************** IBM DDNS Server Administrator 
**************************** 
; This file was written by the IBM DDNS Server Administrator on 24/03/2002
; This file was written by the IBM DDNS Server Administrator on 24/03/2002
; This file was written by the IBM DDNS Server Administrator on 27/03/2001
; This file was written by the IBM DDNS Server Administrator on 28/12/2000
; This file was written by the IBM DDNS Server Administrator on 13-Aug-99
primary   78.27.203.in-addr.arpa C:\\MPTN\\ETC\\namedb\\dnsf0000.rev 
dynamic secured
primary   warpspeed dot com dot au C:\\MPTN\\ETC\\namedb\\dnsf0000.dom  dynamic
secured
cache . C:\\MPTN\\ETC\\namedb\\named.ca
forwarders 203.29.16.1 203.29.16.4 139.130.4.5 

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 04 Oct 2002 13:51:07 +0900
From:  nickl at arach dot net dot au
Subject:  [os2genau] _digest] INTERNAL MODEM

Hi All.

I'm doing some research into the purchase of a new internal modem. My
external modem is starting to slow a bit and may die anytime. My son (who
should know better, but runs M$) uses an internal modem and blandly states
that "....there are no internal modem that aren't Winmodems. Face it Dad,
you have an outdated OS..."

Not one to run away from a challenge, I went to Dick Smit's at Cannington
(W.A.), and after seeing their range, I asked that the modem be Hayes
Compatible and  be able to operate on an open COM port with an
initialisation string and no M$ software. To emphaise this, I said that I
was not interested in a  winmodem (note the lack of uppercase).

After some searching they said they had an "Intel HAM" internal modem that
was PCI, and Hayes Compatible. 

I thought I'd run that by you all, and see if anyone has heard of it. If
not, are there any suggestions for other makes that are not
super-expensive, and will outlast a winmodem? Or have I bitten off more
than I can chew?  :-)

Regards

NICK

-- 
-----------------------------------------------------------
nickl at arach dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 04 Oct 2002 19:05:27 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] Joke: Dr Seuss explains PC crashes

Dr. Seuss explains PC crashes

If a packet hits a pocket on a socket on a port,
And the bus is interrupted at the very last resort,
And the access of the memory makes your floppy disk abort,
Then the socket packet pocket has an error to report.
If your cursor finds a menu item followed by a dash,
And the double-clicking icon puts your window in the trash,
And your data is corrupted cause the index doesn't hash,
Then your situation's hopeless and your system's gonna crash!!
If the label on the cable on the table at your house,
Says the network is connected to the button on your mouse,
But your packets want to tunnel to another protocol,
That's repeatedly rejected by the printer down the hall,
And your screen is all distorted by the side effects of gauss,
So your icons in the window are as wavy as a souse;
Then you may as well reboot and go out with a bang,
Cause sure as I'm a poet, the sucker's gonna hang!
When the copy of your floppy's getting sloppy in the disk,
And the macro code instructions cause unnecessary risk,
Then you'll have to flash the memory and you'll want to RAM your ROM.
Quickly turn off the computer and be sure to tell your Mom!

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 5 Oct 2002 21:26:06
From:  Voytek Eymont <voytek at sbt dot net dot au>
Subject:  [os2genau] OT: usb win keys ?  usb scroll mouse ?

I've just plugged a cheap usb keyboard into, what else, a usb port, booted,
it worked as is, except, LEDs don't reflect state changes

AFTER ENABLING usb support, etc, it works fine,

Q: is there any drivers or use for the win-keys ?

I also plugged in an usb genius scroll mouse, that also seems to work OK,
scroll works on desktop, and, inside PRM message, inside DeScribe, cool,
even the old D trick of Ctrl UP/DN arrow works as CTRL scroll;
i recall, there were some scroll mouse drivers: are they needed for
something I don't know ?

only one minor dissapointment: scroll scrolls up and down on the desktop,
but, even after turning the mouse 90 degrees, I can scroll left to right, oh
well, I guess nothing's perfect....

tia,

Voytek Eymont
SBT Information Systems Pty Ltd
http://www.sbt dot net dot au/links/
phone +61-2 9310-1144 fax +61-2 9310-1118 
Checked for Virus's by Asoft

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 04 Oct 2002 21:34:33 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] _digest] INTERNAL MODEM

Saw a couple of "real" modems at North Rocks (computer market) last
weekend, so they still exist. The other point is that some winmodems
have OS/2 support. Lucent chip based ones for instance. But you have
to be careful as you say.  Its very rare that I even consider a
modem these days, I got so used to network meaning the ethernet
connection that goes to mt firewall (OS2) and on to my Broadband
cable connection.

Cheers/2

Ed.

nickl at arach dot net dot au wrote:
> 
> Hi All.
> 
> I'm doing some research into the purchase of a new internal modem. My
> external modem is starting to slow a bit and may die anytime. My son (who
> should know better, but runs M$) uses an internal modem and blandly states
> that "....there are no internal modem that aren't Winmodems. Face it Dad,
> you have an outdated OS..."
> 
> Not one to run away from a challenge, I went to Dick Smit's at Cannington
> (W.A.), and after seeing their range, I asked that the modem be Hayes
> Compatible and  be able to operate on an open COM port with an
> initialisation string and no M$ software. To emphaise this, I said that I
> was not interested in a  winmodem (note the lack of uppercase).
> 
> After some searching they said they had an "Intel HAM" internal modem that
> was PCI, and Hayes Compatible.
> 
> I thought I'd run that by you all, and see if anyone has heard of it. If
> not, are there any suggestions for other makes that are not
> super-expensive, and will outlast a winmodem? Or have I bitten off more
> than I can chew?  :-)
> 
> Regards
> 
> NICK
> 
> --
> -----------------------------------------------------------
> nickl at arach dot net dot au
> -----------------------------------------------------------
> 

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 04 Oct 2002 21:39:55 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] OT: usb win keys ?  usb scroll mouse ?

most WPS enhancers support configuring the "windows keys" ie those
with the smudged symbol on them however if you have an "internet
keyboard" with lots of fancy buttons on it, you need the win95key
software which allows you to define how you want to use these. Works
great with my cheap OfficeONE keyboard.

If you are on Warp 4 CP2, the standard mouse driver includes support
for scroll mice.

Cheers/2

Ed.

Voytek Eymont wrote:
> 
> I've just plugged a cheap usb keyboard into, what else, a usb port, booted,
> it worked as is, except, LEDs don't reflect state changes
> 
> AFTER ENABLING usb support, etc, it works fine,
> 
> Q: is there any drivers or use for the win-keys ?
> 
> I also plugged in an usb genius scroll mouse, that also seems to work OK,
> scroll works on desktop, and, inside PRM message, inside DeScribe, cool,
> even the old D trick of Ctrl UP/DN arrow works as CTRL scroll;
> i recall, there were some scroll mouse drivers: are they needed for
> something I don't know ?
> 
> only one minor dissapointment: scroll scrolls up and down on the desktop,
> but, even after turning the mouse 90 degrees, I can scroll left to right, oh
> well, I guess nothing's perfect....
> 
> tia,
> 
> Voytek Eymont
> SBT Information Systems Pty Ltd
> http://www.sbt dot net dot au/links/
> phone +61-2 9310-1144 fax +61-2 9310-1118
> Checked for Virus's by Asoft
> 

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 4 Oct 2002 11:09:41 -0330
From:  Tom Rowsell <tom at tomrowsell dot com>
Subject:  [os2genau] Jalbum ??

Hi:

Is anyone using Jalbum under OS/2  (http://www.datadosen.se/jalbum/) ??
I'd love to use this program. I am using it now under Windoze. I can't seem to get the OS/2 version to install/run. I suspect newer JAVA is required. I have WARP 4 with the latest "free" Java I believe. Do I need Software Choice &/or ECS ?
Thanks for any help.

Tom Rowsell
http://exploits.dyndns dot org

PS I just subscribed so please go easy on me :)
----------------------------------------------------------------------------------